---
title: PointerEvent.width
slug: Web/API/PointerEvent/width
tags:
  - API
  - DOM
  - Interface
  - PointerEvent
  - Property
  - Reference
---
<div>{{ APIRef("Pointer Events") }}</div>

<p>The <strong><code>width</code></strong> read-only property of the {{domxref("PointerEvent")}} interface represents the width of the pointer's contact geometry along the x-axis, measured in CSS pixels. Depending on the source of the pointer device (such as a finger), for a given pointer, each event may produce a different value.</p>

<p>If the input hardware cannot report the contact geometry to the browser, the width defaults to <code>1</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>contactWidth</em> = <em>pointerEvent</em>.width;
</pre>

<h3 id="Return_value">Return value</h3>

<dl>
 <dt><code>contactWidth</code></dt>
 <dd>The width of the event's contact area (in CSS pixels).</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example illustrates using the {{domxref("PointerEvent")}} interface's {{domxref("PointerEvent.width","width")}} and {{domxref("PointerEvent.height","height")}} properties to calculate the contact area.</p>

<pre class="brush: js">target.addEventListener("pointerdown", function(ev) {
   // Calculate the contact area
   var area = ev.width * ev.height;
 }, false);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events 2','#dom-pointerevent-width', 'width')}}</td>
   <td>{{Spec2('Pointer Events 2')}}</td>
   <td>Non-stable version.</td>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events', '#widl-PointerEvent-width', 'width')}}</td>
   <td>{{Spec2('Pointer Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.PointerEvent.width")}}</p>
